# Class TCustomFindHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFindHandler

## Declaration

`type TCustomFindHandler = class(TCefFindHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefFindHandlerOwn
- TCustomFindHandler

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); override;`
This item has no description. Showing description inherited from ICefFindHandler.OnFindResult. Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefFindHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.